OpenElec & LiberElec WishList


I tried LE (community) 8.0.0d and 8.0.0e, and so far everything working without any issue!


I checked the version LE 8 20170223 (write USB flash). Skin sets from both repositories (KODI and Lebreelec). At the same time set Mimic Estuary Estouchy. Tried to switch between them - works. I am no expert on KODI, so check on the principle - I saw a menu item that is clicked. Describe more precisely what You are doing, I will try to replicate at home.


Update images Krypton 20170323. Pay attention to the new feature - part image (the first section) added three configuration files for remotes three models. To use them, you need to select the file from your model and rename it to “remote.conf”. At startup, the system will use this file. This retains the previous mechanism of using “remot.conf” (in directory /storage/.config). For those who have difficulty with copying their configuration files remote in /storage/.config can be copied to the first partition, these files will be used by the system as from the directory /storage/.config. Note that if you select the installation mode in the eMMC (from the shutdown menu LE from the media), when, in the first section of this configuration file (remote.conf), it will be copied in winternow memory for use by the system.

To use this version of VIM - delete the media file “dtb.img” (it is NOT needed for this model).

I have no model VIM 2\8, so please check the work WiFi and BT on this model and write the result.


Thank you for your work. I use your build of Libreelec with Krypton 17.1 RC installed in eMMC on VIM 2/16. Work perfect to me even with 10bit 4K HEVC at 60FPS. Sorry for the next “stupid” question but i am still noob to all this :frowning: I was wondering, if there any safe way me to manualy upgrade to the final release of 17.1? Where to find correct vesion for VIM of Krypton 20170323?


You can use a file with the extension “tar” to update. But before you upgrade, we strongly recommend running version of the LE with the external media, to verify the operation of all desired functions.

By the way, today I uploaded the new universal version 20170407. You can try it, if all satisfied, then upgrade to it or will be able to install over the new.


Thanks for the prompt replay :slight_smile:
I’ll "take the risk with the direct eMMC upgrade.

Done! It’s looks that everething is OKAY!
I have tested:
IPTV trough the script and PVR enabled
All installed add-ons are also OK
External USB DAC
USB atached storage
all my libraries includin 1k lossless audio albums


Thank you for your work!


Can you make a tutorial to install LE on the Emmc ?
And where can i found the last version ?
Thx a lot

  1. Download.
  2. To write to the media. Pay attention - you need to burn the image to a media (SD card or USB media) special program.
  3. Delete media file “dtb.img”
  4. Rename the file “remote.conf.vim” in “remote.conf”
  5. To activate the multiboot (description how to activate on steps are in this thread and in other places)
  6. Start LE. Customized to fit your requirements and be sure to check out all the features that You need. If you are satisfied, click off the LE point “Install to eMMC”. The system to reboot itself automatically performs the installation.

All images with the generic version of the LE can be found here.

The most recent at the moment the option to be in the directory 20170407 .

New LibreELEC - when?
LibreELEC not support bluetooth?

Thax a lot Balbes 150
It works !!


How to make tripleboot whit VimPro_DualOS_Marshmallow_Ubuntu-16.04_170124 on EMMC and LibreELEC-S905.aarch64-8.0.2.img bootable MicroSD?


v 20170418

Details about the changes.


Hello, balbes150.
I’m running LibreElec Community build 8.0.1c by kszaq.
Today tried to upgrade to your v20170418. I just copied LibreELEC-S905.aarch64-8.0.2.img.gz into Update SMB share of my device and rebooted.
I got an error message telling that the image is incompatible with s905… The process has aborted and rolled back, of course.
How can I update the build in this case, please? I’d prefer not to do a clean install.

Thank you.


To update, you need to put the file “LibreELEC-S905.aarch64-8.0.2.tar” in the “Update” folder and reboot device.


Tried it. Got the same (negative) result.

Does it matter, that on internal memory installed LibreElec too (instead of android)?


It remains only a clean installation.


If I backup my existing Elec (8.0.1) and restore it after the clean install, will it work in your opinion?
I mean new (balbes150) 8.0.2 and my existing Kodi setup on top of it?


Download from the official repository addon “Backup”. It will restore all your addons and userdata.


I see that in config of the backup, “addon data” is no selected. Do I need to select it or not?


Judging by the error. You have a version of the 32-bit (arm). My builds are 64 bit (aarch64). They are not compatible. Most likely Adonai can be a problem (if they are designed to use only 32-bit libraries). If You are satisfied with the current version Kszaq, I would not recommend to upgrade to eMMC. You can use my Assembly with external media and keep version Kszaq in eMMC.


Yes, I understand.
Burned your 8.0.2 image to sd card. The system wouldn’t boot an stalled at VIM logo.
Tried old Vim LibreElec image vim.aarch64- (which worked in the past, while android on internal). Attached pictures of error mesages I got in this case.
Again, currently I’m with kszaq on eMMC.